Jump to: navigation, search

Difference between revisions of "Eclipse Automotive Tool Platform for Juno (Eclipse 4.2)"

 
(2 intermediate revisions by the same user not shown)
Line 89: Line 89:
 
|-
 
|-
 
| [http://www.eclipse.org/modeling/emft/?project=mwe Modeling Workflow Engine SDK]
 
| [http://www.eclipse.org/modeling/emft/?project=mwe Modeling Workflow Engine SDK]
| align="center"| 1.2
+
| align="center"| 1.2.1
 
| align="center"| RECOMMENDED
 
| align="center"| RECOMMENDED
 
| align="center"| X
 
| align="center"| X
Line 96: Line 96:
 
|-
 
|-
 
| [http://www.eclipse.org/projects/project.php?id=modeling.m2t.xpand Xpand SDK]
 
| [http://www.eclipse.org/projects/project.php?id=modeling.m2t.xpand Xpand SDK]
| align="center"| 1.2
+
| align="center"| 1.2.1
 
| align="center"| DEPRECATED
 
| align="center"| DEPRECATED
 
| align="center"| X
 
| align="center"| X
Line 146: Line 146:
 
|
 
|
 
|-
 
|-
| [http://www.eclipse.org/Xtext/#xtend2 Xtend SDK]
+
| [http://www.eclipse.org/xtend Xtend SDK]
 
| align="center"| 2.3.1
 
| align="center"| 2.3.1
 
| align="center"| INCUBATING
 
| align="center"| INCUBATING

Latest revision as of 11:56, 12 August 2014

Return to Auto_IWG_WP1


The current version of the Eclipse Automotive Tool Platform is based on the Juno (Eclipse 4.2) release stream. It contains the components that are listed in the table below.

Category Name Version Status Included in Eclipse package Included in target platform Comment
Eclipse Eclipse SDK 4.2/3.8 RECOMMENDED X X Platform contains both Eclipse 3.8 and 4.2 versions.
Eclipse Product Configuration 1.0 RECOMMENDED X X Required for building products
Eclipse Platform Launchers 3.6 RECOMMENDED X X Required for building products with custom native launchers
Modeling components Eclipse Modeling Framework (EMF) SDK 2.8 RECOMMENDED X X
EMF Model Transaction SDK 1.6 RECOMMENDED X X
EMF Validation Framework SDK 1.6 RECOMMENDED X X
EMF Compare SDK 1.3 RECOMMENDED X X
GMF Notation SDK 1.6 RECOMMENDED X X
GMF Runtime SDK 1.6 RECOMMENDED X X
Graphiti SDK 0.9 INCUBATING X X
Modeling Workflow Engine SDK 1.2.1 RECOMMENDED X X
Xpand SDK 1.2.1 DEPRECATED X X New projects should use Xtend. XPand is not maintained anymore actively!
Xtext SDK 2.3.1 RECOMMENDED X X
Sphinx SDK 0.7 RECOMMENDED - X Not included in Eclipse package because not yet part of simultaneous release train
UML2 SDK 4.0 RECOMMENDED X X
XSD - XML Schema Definition SDK 2.8 RECOMMENDED X X
Automotive components Artop SDK 3.3.2 RECOMMENDED - X Not included in Eclipse package because not EPL licensed
Tool components C/C++ Development Tools (CDT) SDK 8.1 RECOMMENDED X X
Xtend SDK 2.3.1 INCUBATING X X XTend still has provisional interfaces therefore it is not fit to be in state RECOMMENDED.
Graphical Editing Framework (GEF) SDK 3.9.0 RECOMMENDED X X
XML Editors and Tools 3.4 RECOMMENDED X X
Technology components Nebula Widgets 1.0 RECOMMENDED - X Not included in Eclipse package because not yet part of simultaneous release train